varying vec3 frag_col;

uniform vec3 col;
uniform vec3 wf_col;
uniform bool wireframe;
uniform float alpha;

void main() {
	if (wireframe)
		gl_FragColor = vec4(wf_col, alpha);
	else
		gl_FragColor = vec4(frag_col, alpha);
}
